## vdr-plugin-satip 2.2.3

=== Makefile ===
#
# Makefile for SAT>IP plugin
#

# Use TinyXML instead of PugiXML

#SATIP_USE_TINYXML = 1

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = satip

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$5 }' | sed -e 's/[";]//g')
GITTAG  = $(shell git describe --always 2>/dev/null)

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
CFGDIR = $(call PKGCFG,configdir)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)
STRIP           ?= /bin/true

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Libraries

LIBS = $(shell curl-config --libs)

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

ifdef SATIP_USE_TINYXML
DEFINES += -DUSE_TINYXML
LIBS += -ltinyxml
else
LIBS += -lpugixml
endif

ifneq ($(strip $(GITTAG)),)
DEFINES += -DGITVERSION='"-GIT-$(GITTAG)"'
endif

.PHONY: all all-redirect
all-redirect: all

### The object files (add further files here):

OBJS = $(PLUGIN).o common.o config.o device.o discover.o msearch.o param.o \
	poller.o rtp.o rtcp.o rtsp.o sectionfilter.o server.o setup.o socket.o \
	statistics.o tuner.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
	@$(STRIP) $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install-conf:
	@mkdir -p $(DESTDIR)$(CFGDIR)/plugins/$(PLUGIN)

install: install-lib install-i18n install-conf

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

.PHONY: cppcheck
cppcheck:
	@cppcheck --language=c++ --enable=all -v -f $(OBJS:%.o=%.c)

=== debian/changelog ===
vdr-plugin-satip (2.2.3-2) unstable; urgency=medium

  * Fixed "FTBFS with GCC 6 (Closes: #811948)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Jan 2016 18:47:02 +0100

vdr-plugin-satip (2.2.3-1) unstable; urgency=medium

  [ Frank Neumann ]
  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Wed, 06 Jan 2016 18:55:34 +0100

vdr-plugin-satip (2.2.0-4) unstable; urgency=medium

  * Fixed debian/copyright - the license actually is plain GPL-2
  * Added Vcs-Git/Vcs-Browser fields

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Oct 2015 17:58:34 +0200

vdr-plugin-satip (2.2.0-3) unstable; urgency=medium

  * Preparing upload (Closes: #756298)
  * Dropped -dbg package in favour of future automatic debug packages
  * Switched to machine readable copyright file

 -- Tobias Grimm <etobi@debian.org>  Sun, 27 Sep 2015 18:06:24 +0200

vdr-plugin-satip (2.2.0-2) experimental; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:14:01 +0100

vdr-plugin-satip (2.2.0-1) experimental; urgency=medium

  * Added debian/watch
  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 01 Mar 2015 20:00:35 +0100

vdr-plugin-satip (1.0.2-3) experimental; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:54 +0100

vdr-plugin-satip (1.0.2-2) experimental; urgency=medium

  * Migrated package from Ubuntu/ to Debian
  * Added Tobias Grimm to the uploaders

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Feb 2015 18:24:51 +0100

vdr-plugin-satip (1.0.2-1fnu0~trusty) trusty; urgency=high

  * add /etc/vdr/plugin/plugin.satip.conf for plugin parameters

 -- Frank Neumann <fnu@yavdr.org>  Mon, 09 Feb 2015 01:03:26 +0100

vdr-plugin-satip (1.0.2-0fnu0~trusty) trusty; urgency=high

  * new upstream version 
  * Added configurable CI slots.
  * Fixed parsing of the setup values.
  * Added an option to disable sources via sources.conf.
  * Added a command-line option to disable all the SAT>IP server quirks.
  * Updated Spanish and Catalan translations (Thanks to Gabriel Bonich).
  * Updated German translations (Thanks to Frank Neumann).

 -- Frank Neumann <fnu@yavdr.org>  Sun, 18 Jan 2015 20:11:17 +0100

vdr-plugin-satip (1.0.1-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Updated the command-line help and README.
  * Fixed the server teardown.
  * Removed the unnecessary config directory definition.
  * Added a fallback for older glibc libraries.
  * Improved pid selection performance.
  * Added support for Digital Devices CI extension. 

 -- Frank Neumann <fnu@yavdr.org>  Sat, 10 Jan 2015 15:43:48 +0100

vdr-plugin-satip (1.0.0+git20150105-0fnu0~trusty) trusty; urgency=high

  * new upstream snapshots
  * Added a fallback for older glibc libraries. 
  * Removed the unnecessary config directory definition.
  * Fixed the server teardown.
  * Updated the command-line help and README.

 -- Frank Neumann <fnu@yavdr.org>  Tue, 06 Jan 2015 02:16:46 +0100

vdr-plugin-satip (1.0.0-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Fixed the cable only device detection.
  * Added support for blacklisted sources.
  * Fixed server reuse for active transponders.
  * Added a preliminary support for Fritz!WLAN Repeater DVB-C (Thanks to Christian Wick).
  * Added a preliminary support for Telestar Digibit R1 (Thanks to Dirk Wagner).
  * Added a new device status menu.
  * Added support for SAT>IP frontend selection via Radio ID.
  * Added command-line switches for manually defining used SAT>IP servers and setting used tracing mode.
  * Added new STAT and TRAC commands into the SVDRP interface.
  * Refactored the tuner implementation.
  * Updated against SAT>IP protocol specification version 1.2.1.
  * Refactored input thread to increase performance.
  * Added plenty of performance tweaks (Thanks to Stefan Schallenberg).
  * Fixed EIT scan (Thanks to Stefan Schallenberg). 

 -- Frank Neumann <fnu@yavdr.org>  Thu, 25 Dec 2014 12:29:49 +0100

vdr-plugin-satip (0.3.3+git20141222-0fnu0~trusty) trusty; urgency=high

  * new github snapshot

 -- Frank Neumann <fnu@yavdr.org>  Tue, 23 Dec 2014 20:00:00 +0100

vdr-plugin-satip (0.3.3-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Added a validity check for the session member
  * Added a session id quirk for Triax TSS 400 

 -- Frank Neumann <fnu@yavdr.org>  Tue, 20 May 2014 22:33:46 +0200

vdr-plugin-satip (0.3.2-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Fixed model detection and OctopusNet DVB-C model quirks
  * Added a session id quirk for GSSBOX 

 -- Frank Neumann <fnu@yavdr.org>  Sat, 10 May 2014 15:46:42 +0200

vdr-plugin-satip (0.3.1-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Fixed the device discovery 

 -- Frank Neumann <fnu@yavdr.org>  Mon, 28 Apr 2014 17:23:34 +0200

vdr-plugin-satip (0.3.0-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Tweaked the pid update mechanism 

 -- Frank Neumann <fnu@yavdr.org>  Sun, 20 Apr 2014 22:49:17 +0200

vdr-plugin-satip (0.2.3-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Added Spanish translation (Thanks to Gabriel Bonich)
  * Fixed parameters of the OPTIONS command
  * Added a device identication into the user agent string
  * Removed unnecessary PLAY commands and header callbacks 

 -- Frank Neumann <fnu@yavdr.org>  Sat, 19 Apr 2014 16:47:20 +0200

vdr-plugin-satip (0.2.2-0fnu0~trusty) trusty; urgency=high

  * new upstream version
  * Fixed the default keepalive interval
  * Refactored the section filtering
  * Added Catalan translation (Thanks to Gabriel Bonich)

 -- Frank Neumann <fnu@yavdr.org>  Sat, 05 Apr 2014 13:05:47 +0200

vdr-plugin-satip (0.2.1-0fnu1~trusty) trusty; urgency=high

  * new upstream version
  * Changed implementation to report about RTP packet errors on 5 minutes interval only.


=== debian/control ===
Source: vdr-plugin-satip
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Frank Neumann <fnu@yavdr.org>, Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-satip.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-satip.git
Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/satip/

Package: vdr-plugin-satip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: SAT>IP plugin for VDR
 This plugin integrates SAT>IP network devices seamlessly into VDR.
 You can use any SAT>IP channel like any other normal DVB channel for
 live viewing, recording, etc. The plugin also features full section
 filtering capabilities which allow for example EIT information to be
 extracted from the incoming stream.
 .
 This release does actually not contain any channelscan, pls.
 follow the README to setup entries manually for the channels.conf.

## vdr-plugin-satip 2.2.4

=== debian/changelog ===
vdr-plugin-satip (2.2.4-1) unstable; urgency=medium

  * New upstream release
  * Dropped GCC 6 fix - fixed upstream
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 03 Jan 2017 19:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Frank Neumann <fnu@yavdr.org>, Tobias Grimm <etobi@debian.org>
 Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-satip.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-satip.git
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/satip/

## vdr-plugin-satip 2.3.0

=== debian/changelog ===
vdr-plugin-satip (2.3.0-2build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:54:25 +0000

vdr-plugin-satip (2.3.0-2) unstable; urgency=medium

  * Fixed FTBS with glibc 2.26 (Closes: #887689)

 -- Tobias Grimm <etobi@debian.org>  Sat, 27 Jan 2018 21:45:54 +0100

vdr-plugin-satip (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on vdr-dev 2.3.7

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Jun 2017 18:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: vdr-plugin-satip
 Section: video
 Priority: extra
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Frank Neumann <fnu@yavdr.org>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.7), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-satip.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-satip.git

## vdr-plugin-satip 2.4.0

=== Makefile ===
--- 
+++ 
@@ -88,14 +88,15 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
+	@echo CC $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	$(Q)$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -108,17 +109,21 @@
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
-	msgfmt -c -o $@ $<
+	@echo MO $@
+	$(Q)msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`
+	@echo GT $@
+	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
+	@echo PO $@
+	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
-	install -D -m644 $< $@
+	@echo IN $@
+	$(Q)install -D -m644 $< $@
 
 .PHONY: i18n
 i18n: $(I18Nmo) $(I18Npot)
@@ -128,11 +133,13 @@
 ### Targets:
 
 $(SOFILE): $(OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
-	@$(STRIP) $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
+	$(Q)$(STRIP) $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
+	@echo IN $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
+	$(Q)install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install-conf:
 	@mkdir -p $(DESTDIR)$(CFGDIR)/plugins/$(PLUGIN)
@@ -153,4 +160,4 @@
 
 .PHONY: cppcheck
 cppcheck:
-	@cppcheck --language=c++ --enable=all -v -f $(OBJS:%.o=%.c)
+	$(Q)cppcheck --language=c++ --enable=all -v -f $(OBJS:%.o=%.c)

=== debian/changelog ===
vdr-plugin-satip (2.4.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:03 +0100

vdr-plugin-satip (2.4.0-4) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:42:54 +0100

vdr-plugin-satip (2.4.0-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Tobias Grimm ]
  * Standards-Version: 4.4.0
  * Made pkg-config configurable in Makefile to allow cross-builds

 -- Tobias Grimm <etobi@debian.org>  Mon, 29 Jul 2019 19:44:24 +0200

vdr-plugin-satip (2.4.0-2) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 05:35:06 +0200

vdr-plugin-satip (2.4.0-1) unstable; urgency=medium

  * New upstream version
  * Dropped gcc7-patch - fixed upstream

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 May 2018 22:30:44 +0200

vdr-plugin-satip (2.3.0-3) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Standards-Version: 4.1.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:42:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: vdr-plugin-satip
 Section: video
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Frank Neumann <fnu@yavdr.org>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.7), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-satip.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-satip.git
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-satip.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-satip
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/satip/
 
 Package: vdr-plugin-satip

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

MAKE_OPTIONS = STRIP=/bin/true

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTIONS)

%:
	dh $@ --with vdrplugin

=== debian/watch ===
version=3
http://www.saunalahti.fi/~rahrenbe/vdr/satip .*/vdr-satip-(.*)\.tgz

## vdr-plugin-satip 2.4.1

=== debian/changelog ===
vdr-plugin-satip (2.4.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:57 +1100

vdr-plugin-satip (2.4.1-2build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:06:54 +0000

vdr-plugin-satip (2.4.1-2) unstable; urgency=medium

  * Fix debian/watch
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Frank Neumann from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 21:05:26 +0100

vdr-plugin-satip (2.4.1-1) unstable; urgency=medium

  * Update debhleper-compat to 13
  * Build-depend on vdr >= 2.4.7
  * Project moved to GitHub
  * New upstream version 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 08:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: vdr-plugin-satip
 Section: video
 Priority: optional
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Frank Neumann <fnu@yavdr.org>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
-Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkg-config, libcurl4-openssl-dev (>= 7.36.0), libpugixml-dev
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-satip.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-satip
-Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/satip/
+Homepage: https://github.com/rofafor/vdr-plugin-satip
 
 Package: vdr-plugin-satip
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-satip-$1\.tar\.gz/ \
  https://github.com/rofafor/vdr-plugin-satip/tags .*/v?(\d\S+)\.tar\.gz
